Public Member Functions | Protected Types | Protected Attributes | Private Member Functions | List of all members
HanMacWrdJTextInternal::SubDocument Class Referencefinal

Internal: the subdocument of a HanMacWrdJText. More...

Inheritance diagram for HanMacWrdJTextInternal::SubDocument:

## Public Member Functions
| SubDocument (HanMacWrdJText &pars, MWAWInputStreamPtr const &input, long id, long cPos=0)
| constructor to call a textzone More...
| SubDocument (HanMacWrdJText &pars, MWAWInputStreamPtr const &input, std::string const &text)
| constructor to send a string More...
| ~SubDocument () final
| destructor More...
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!= More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Types
enum | Type { S_TextZone, S_String }
| the subdocument type More...

## Protected Attributes
Type | m_type
| the subdocument type More...
HanMacWrdJText * | m_textParser
| the text parser More...
long | m_id
| the subdocument id More...
long | m_cPos
| the first charecter position More...
std::string | m_bookmark
| the bookmark string More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
std::shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)=delete
SubDocument & | operator= (SubDocument const &orig)=delete

## Detailed Description

Internal: the subdocument of a HanMacWrdJText.

## Member Enumeration Documentation

## ◆ Type

enum HanMacWrdJTextInternal::SubDocument::Type
| protected

the subdocument type

Enumerator
S_TextZone |
S_String |

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

HanMacWrdJTextInternal::SubDocument::SubDocument | ( | HanMacWrdJText & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | long | id,
|  | long | cPos = `0`
| ) |  |
| inline

constructor to call a textzone

## ◆ SubDocument() [2/3]

HanMacWrdJTextInternal::SubDocument::SubDocument | ( | HanMacWrdJText & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | std::string const & | text
| ) |  |
| inline

constructor to send a string

## ◆ ~SubDocument()

HanMacWrdJTextInternal::SubDocument::~SubDocument | ( |  | ) |
| inline final

destructor

## ◆ SubDocument() [3/3]

HanMacWrdJTextInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private delete

## Member Function Documentation

## ◆ operator!=()

bool HanMacWrdJTextInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| final virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument& HanMacWrdJTextInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private delete

## ◆ parse()

void HanMacWrdJTextInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| final virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_bookmark

std::string HanMacWrdJTextInternal::SubDocument::m_bookmark
| protected

the bookmark string

## ◆ m_cPos

long HanMacWrdJTextInternal::SubDocument::m_cPos
| protected

the first charecter position

## ◆ m_id

long HanMacWrdJTextInternal::SubDocument::m_id
| protected

the subdocument id

## ◆ m_textParser

HanMacWrdJText* HanMacWrdJTextInternal::SubDocument::m_textParser
| protected

the text parser

## ◆ m_type

Type HanMacWrdJTextInternal::SubDocument::m_type
| protected

the subdocument type

The documentation for this class was generated from the following file:

- HanMacWrdJText.cxx